Index: LMDZ5/branches/testing/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/vlspltqs.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/vlspltqs.F	(revision 2641)
@@ -23,11 +23,11 @@
 c     pk exner au milieu des couches necessaire pour calculer Qsat
 c   --------------------------------------------------------------------
+      
+      USE comconst_mod, ONLY: cpp
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c
@@ -192,9 +192,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
 c
@@ -559,12 +556,12 @@
 c
 c   --------------------------------------------------------------------
+      
+      USE comconst_mod, ONLY: pi
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/branches/testing/libf/dyn3d_common/adaptdt.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/adaptdt.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/adaptdt.F	(revision 2641)
@@ -5,18 +5,12 @@
      c                   masse)
 
-      USE control_mod
+      USE comconst_mod, ONLY: dtvr
       IMPLICIT NONE
 
-#include "dimensions.h"
-c#include "paramr2.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissip.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "description.h"
 
 c----------------------------------------------------------
Index: LMDZ5/branches/testing/libf/dyn3d_common/advn.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advn.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advn.F	(revision 2641)
@@ -17,11 +17,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c
@@ -484,10 +481,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "iniprint.h"
 c
 c
Index: LMDZ5/branches/testing/libf/dyn3d_common/advx.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advx.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advx.F	(revision 2641)
@@ -18,13 +18,11 @@
 C  sm,s0,sx,sy,sz                                                C
 C  sont les arguments de sortie pour le s-pg                     C
-C								 C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 C  Arguments :
Index: LMDZ5/branches/testing/libf/dyn3d_common/advxp.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advxp.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advxp.F	(revision 2641)
@@ -13,8 +13,6 @@
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
        INTEGER ntra
@@ -103,5 +101,5 @@
 c         IF (S0(i,j,l,ntra) .lt. 0. ) THEN
 c         PRINT*,'S0(',i,j,l,')=',S0(i,j,l,ntra)
-c	     print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
+c             print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
 c         print*, 'SY(',i,j,l,')=',SY(i,j,l,ntra)
 c         print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
@@ -120,5 +118,5 @@
       DO j = 1, jjp1
       DO i = 1, iim
-	 sqi = sqi + S0(i,j,l,ntra)
+         sqi = sqi + S0(i,j,l,ntra)
       END DO
       END DO
@@ -612,11 +610,11 @@
 c      DO 9999 j = 1, jjp1
 c      DO 9999 i = 1, iip1
-c	   IF (S0(i,j,l,ntra).lt.0..and.LIMIT) THEN
+c           IF (S0(i,j,l,ntra).lt.0..and.LIMIT) THEN
 c           PRINT*, '-------------------'
-c	        PRINT*, 'En fin de ADVXP'
+c                PRINT*, 'En fin de ADVXP'
 c           PRINT*,'S0(',i,j,l,')=',S0(i,j,l,ntra)
-c	        print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
+c                print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
 c           print*, 'SY(',i,j,l,')=',SY(i,j,l,ntra)
-c       	print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
+c               print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
 c            WRITE (*,*) 'On arrete !! - pbl en fin de ADVXP'
 c            STOP
@@ -629,7 +627,7 @@
          SM(iip1,j,l) = SM(1,j,l)
          S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
-     	 SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
-    	 SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
-    	 SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
+              SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
+             SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
+             SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
       END DO
       END DO
Index: LMDZ5/branches/testing/libf/dyn3d_common/advy.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advy.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advy.F	(revision 2641)
@@ -9,12 +9,12 @@
 C  first-order moments (SOM) advection of tracer in Y direction  C
 C                                                                C
-C  Source : Pascal Simon ( Meteo, CNRM )			 C
-C  Adaptation : A.A. (LGGE) 					 C
+C  Source : Pascal Simon ( Meteo, CNRM )                         C
+C  Adaptation : A.A. (LGGE)                                      C
 C  Derniere Modif : 15/12/94 LAST
-C								 C
-C  sont les arguments d'entree pour le s-pg			 C
-C								 C
-C  argument de sortie du s-pg					 C
-C								 C
+C                                                                C
+C  sont les arguments d'entree pour le s-pg                      C
+C                                                                C
+C  argument de sortie du s-pg                                    C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
@@ -26,9 +26,7 @@
 C
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
  
 C  Arguments :
Index: LMDZ5/branches/testing/libf/dyn3d_common/advyp.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advyp.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advyp.F	(revision 2641)
@@ -11,12 +11,12 @@
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C                                                                C
-C  Source : Pascal Simon ( Meteo, CNRM )			 C
-C  Adaptation : A.A. (LGGE) 					 C
+C  Source : Pascal Simon ( Meteo, CNRM )                         C
+C  Adaptation : A.A. (LGGE)                                      C
 C  Derniere Modif : 19/10/95 LAST
-C								 C
-C  sont les arguments d'entree pour le s-pg			 C
-C								 C
-C  argument de sortie du s-pg					 C
-C								 C
+C                                                                C
+C  sont les arguments d'entree pour le s-pg                      C
+C                                                                C
+C  argument de sortie du s-pg                                    C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
@@ -28,9 +28,7 @@
 C
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
  
 C  Arguments :
Index: LMDZ5/branches/testing/libf/dyn3d_common/advz.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advz.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advz.F	(revision 2641)
@@ -16,13 +16,11 @@
 C                                                                C
 C  dq est l'argument de sortie pour le s-pg                      C
-C								 C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 C    #include "traceur.h"
Index: LMDZ5/branches/testing/libf/dyn3d_common/advzp.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/advzp.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/advzp.F	(revision 2641)
@@ -31,9 +31,7 @@
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 C
 C  Arguments :
@@ -356,11 +354,11 @@
       DO j = 1,jjp1
           SM(iip1,j,l) = SM(1,j,l)
-	  S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
+          S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
           SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
-	  SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
+          SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
           SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
       ENDDO
       ENDDO
-c										C-------------------------------------------------------------
+c                                                                                C-------------------------------------------------------------
 C *** Test : diag de la qqtite totale de tarceur
 C            dans l'atmosphere avant l'advection en z
Index: LMDZ5/branches/testing/libf/dyn3d_common/bernoui.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/bernoui.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/bernoui.F	(revision 2641)
@@ -25,7 +25,6 @@
 c   -------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/caldyn0.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/caldyn0.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/caldyn0.F90	(revision 2641)
@@ -7,9 +7,8 @@
 !-------------------------------------------------------------------------------
   USE control_mod, ONLY: resetvarc 
+  USE comvert_mod, ONLY: ap, bp
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom.h"
 !===============================================================================
Index: LMDZ5/branches/testing/libf/dyn3d_common/comconst_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/comconst_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d_common/comconst_mod.F90	(revision 2641)
@@ -0,0 +1,37 @@
+!
+! $Id$
+!
+
+MODULE comconst_mod
+
+IMPLICIT NONE  
+
+      INTEGER im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl
+      REAL dtvr ! dynamical time step (in s)
+      REAL daysec !length (in s) of a standard day
+      REAL pi    ! something like 3.14159....
+      REAL dtphys ! (s) time step for the physics
+      REAL dtdiss ! (s) time step for the dissipation
+      REAL rad ! (m) radius of the planet
+      REAL r ! Reduced Gas constant r=R/mu
+             ! with R=8.31.. J.K-1.mol-1, mu: mol mass of atmosphere (kg/mol)
+      REAL cpp   ! Specific heat Cp (J.kg-1.K-1)
+      REAL kappa ! kappa=R/Cp 
+      REAL cotot
+      REAL unsim ! = 1./iim
+      REAL g ! (m/s2) gravity
+      REAL omeg ! (rad/s) rotation rate of the planet
+      REAL dissip_factz,dissip_deltaz,dissip_zref
+! top_bound sponge:
+      INTEGER iflag_top_bound ! sponge type
+      INTEGER ngroup ! parameter to group points (along longitude) near poles
+      INTEGER mode_top_bound  ! sponge mode
+      REAL tau_top_bound ! inverse of sponge characteristic time scale (Hz)
+      REAL daylen ! length of solar day, in 'standard' day length
+      REAL year_day ! Number of standard days in a year
+      REAL molmass ! (g/mol) molar mass of the atmosphere
+
+      REAL ihf ! (W/m2) Intrinsic heat flux (for giant planets)
+
+
+END MODULE comconst_mod
Index: LMDZ5/branches/testing/libf/dyn3d_common/comvert_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/comvert_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d_common/comvert_mod.F90	(revision 2641)
@@ -0,0 +1,41 @@
+!
+! $Id$
+!
+MODULE comvert_mod
+
+IMPLICIT NONE  
+
+PRIVATE
+INCLUDE "dimensions.h"
+
+PUBLIC :: ap,bp,presnivs,dpres,sig,ds,pa,preff,nivsigs,nivsig, &
+          aps,bps,scaleheight,pseudoalt,disvert_type, pressure_exner
+
+REAL ap(llm+1) ! hybrid pressure contribution at interlayers
+REAL bp (llm+1) ! hybrid sigma contribution at interlayer
+REAL presnivs(llm) ! (reference) pressure at mid-layers
+REAL dpres(llm)
+REAL sig(llm+1)
+REAL ds(llm)
+REAL pa ! reference pressure (Pa) at which hybrid coordinates
+        ! become purely pressure (more or less)
+REAL preff  ! reference surface pressure (Pa)
+REAL nivsigs(llm)
+REAL nivsig(llm+1)
+REAL aps(llm) ! hybrid pressure contribution at mid-layers
+REAL bps(llm) ! hybrid sigma contribution at mid-layers
+REAL scaleheight ! atmospheric (reference) scale height (km)
+REAL pseudoalt(llm) ! pseudo-altitude of model levels (km), based on presnivs(),
+                     ! preff and scaleheight
+
+INTEGER disvert_type ! type of vertical discretization:
+                     ! 1: Earth (default for planet_type==earth),
+                     !     automatic generation
+                     ! 2: Planets (default for planet_type!=earth),
+                     !     using 'z2sig.def' (or 'esasig.def) file
+
+LOGICAL pressure_exner
+!     compute pressure inside layers using Exner function, else use mean
+!     of pressure values at interfaces
+
+END MODULE comvert_mod
Index: LMDZ5/branches/testing/libf/dyn3d_common/conf_planete.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/conf_planete.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/conf_planete.F90	(revision 2641)
@@ -10,4 +10,7 @@
 USE ioipsl_getincom
 #endif
+USE comconst_mod, ONLY: pi, g, molmass, kappa, cpp, omeg, rad, &
+                        year_day, daylen, daysec, ihf
+USE comvert_mod, ONLY: preff, pa
 IMPLICIT NONE
 !
@@ -15,7 +18,5 @@
 !   Declarations :
 !   --------------
-#include "dimensions.h"
-#include "comconst.h"
-#include "comvert.h"
+
 !
 !   local:
Index: LMDZ5/branches/testing/libf/dyn3d_common/convmas.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/convmas.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/convmas.F90	(revision 2641)
@@ -9,5 +9,4 @@
   include "paramet.h"
   include "comgeom.h"
-  include "logic.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/coordij.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/coordij.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/coordij.F	(revision 2641)
@@ -11,4 +11,6 @@
 c=======================================================================
 
+      USE comconst_mod, ONLY: pi
+      
       IMPLICIT NONE
       REAL lon,lat
@@ -16,9 +18,7 @@
       INTEGER i,j
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "serre.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 
       real zlon,zlat
Index: LMDZ5/branches/testing/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/disvert.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/disvert.F90	(revision 2641)
@@ -10,4 +10,7 @@
   use new_unit_m, only: new_unit
   use assert_m, only: assert
+  USE comvert_mod, ONLY: ap, bp, nivsigs, nivsig, dpres, presnivs, &
+                         pa, preff, scaleheight
+  USE logic_mod, ONLY: ok_strato
 
   IMPLICIT NONE
@@ -15,8 +18,5 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
-  include "comconst.h"
   include "iniprint.h"
-  include "logic.h"
 
 !-------------------------------------------------------------------------------
@@ -24,5 +24,5 @@
 !          Triggered by the levels number llm.
 !-------------------------------------------------------------------------------
-! Read    in "comvert.h":
+! Read    in "comvert_mod":
 
 ! pa !--- vertical coordinate is close to a PRESSURE COORDINATE FOR P
@@ -30,5 +30,5 @@
 
 ! preff                      !--- REFERENCE PRESSURE                 (101325 Pa)
-! Written in "comvert.h":
+! Written in "comvert_mod":
 ! ap(llm+1), bp(llm+1)       !--- Ap, Bp HYBRID COEFFICIENTS AT INTERFACES
 ! aps(llm),  bps(llm)        !--- Ap, Bp HYBRID COEFFICIENTS AT MID-LAYERS
Index: LMDZ5/branches/testing/libf/dyn3d_common/disvert_noterre.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/disvert_noterre.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/disvert_noterre.F	(revision 2641)
@@ -12,13 +12,14 @@
       use ioipsl_getincom
 #endif
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,
+     &                       nivsig,nivsigs,pa,preff,scaleheight
+      USE comconst_mod, ONLY: kappa
+      USE logic_mod, ONLY: hybrid
 
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "logic.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "iniprint.h"
 c
 c=======================================================================
Index: LMDZ5/branches/testing/libf/dyn3d_common/divgrad.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/divgrad.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/divgrad.F	(revision 2641)
@@ -20,9 +20,8 @@
 c   -------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
-#include "comdissipn.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comdissipn.h"
 c
       INTEGER klevel
Index: LMDZ5/branches/testing/libf/dyn3d_common/ener_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/ener_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d_common/ener_mod.F90	(revision 2641)
@@ -0,0 +1,15 @@
+!
+! $Id$
+!
+MODULE ener_mod
+
+IMPLICIT NONE  
+
+include "dimensions.h"
+include "paramet.h"
+
+      REAL ang0,etot0,ptot0,ztot0,stot0,			&
+		ang,etot,ptot,ztot,stot,rmsdpdt,rmsv,gtot(llmm1)
+
+
+END MODULE ener_mod
Index: LMDZ5/branches/testing/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/exner_hyb_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/exner_hyb_m.F90	(revision 2641)
@@ -33,10 +33,12 @@
     !
     !
+    USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    USE comvert_mod, ONLY: preff
+    
+    IMPLICIT NONE
+    
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/exner_milieu_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/exner_milieu_m.F90	(revision 2641)
@@ -30,10 +30,12 @@
     !
     !
+    USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    USE comvert_mod, ONLY: preff
+    
+    IMPLICIT NONE
+    
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/fxhyp_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/fxhyp_m.F90	(revision 2641)
@@ -22,10 +22,8 @@
     use nrtype, only: pi, pi_d, twopi, twopi_d, k8
     use principal_cshift_m, only: principal_cshift
+    use serre_mod, only: clon, grossismx, dzoomx, taux
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon, grossismx, dzoomx, taux
 
     REAL, intent(out):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
Index: LMDZ5/branches/testing/libf/dyn3d_common/fxy.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/fxy.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/fxy.F	(revision 2641)
@@ -5,4 +5,7 @@
      ,                    rlatu2,yprimu2,
      , rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
+
+      USE comconst_mod, ONLY: pi
+      USE serre_mod, ONLY: pxo,pyo,alphax,alphay,transx,transy
 
       IMPLICIT NONE
@@ -14,8 +17,6 @@
 c
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "serre.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
        INTEGER i,j
Index: LMDZ5/branches/testing/libf/dyn3d_common/fxysinus.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/fxysinus.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/fxysinus.F	(revision 2641)
@@ -7,4 +7,5 @@
 
 
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
@@ -17,5 +18,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
        INTEGER i,j
Index: LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90	(revision 2641)
@@ -18,10 +18,8 @@
     use coefpoly_m, only: coefpoly
     use nrtype, only: k8
+    use serre_mod, only: clat, grossismy, dzoomy, tauy
 
     include "dimensions.h"
     ! for jjm
-
-    include "serre.h"
-    ! for clat, grossismy, dzoomy, tauy
 
     REAL, intent(out):: rlatu(jjm + 1), yyprimu(jjm + 1)
Index: LMDZ5/branches/testing/libf/dyn3d_common/geopot.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/geopot.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/geopot.F	(revision 2641)
@@ -27,7 +27,6 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/gradiv.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/gradiv.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/gradiv.F	(revision 2641)
@@ -19,8 +19,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comdissipn.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissipn.h"
 
       INTEGER klevel
Index: LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2641)
@@ -9,13 +9,13 @@
 SUBROUTINE grilles_gcm_netcdf_sub(masque,phis)
 
+  USE comconst_mod, ONLY: cpp, kappa, g, omeg, daysec, rad, pi
+  USE comvert_mod, ONLY: presnivs, preff, pa
+  
   IMPLICIT NONE
 
   INCLUDE "dimensions.h"
   INCLUDE "paramet.h"
-  INCLUDE "comconst.h"
   INCLUDE "comgeom.h"
-  INCLUDE "comvert.h"
   INCLUDE "netcdf.inc"
-  INCLUDE "serre.h"
 
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/iniconst.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/iniconst.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/iniconst.F90	(revision 2641)
@@ -11,5 +11,8 @@
   use ioipsl_getincom
 #endif
-
+  USE comconst_mod, ONLY: im, imp1, jm, jmp1, lllm, lllmm1, lllmp1, &
+                          unsim, pi, r, kappa, cpp, dtvr, dtphys
+  USE comvert_mod, ONLY: disvert_type, pressure_exner
+  
   IMPLICIT NONE
   !
@@ -21,7 +24,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "temps.h"
-  include "comvert.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/inidissip.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/inidissip.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/inidissip.F90	(revision 2641)
@@ -12,4 +12,7 @@
 
   USE control_mod, only : dissip_period,iperiod
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          dtdiss, dtvr, rad
+  USE comvert_mod, ONLY: preff, presnivs
 
   IMPLICIT NONE
@@ -17,7 +20,4 @@
   include "paramet.h"
   include "comdissipn.h"
-  include "comconst.h"
-  include "comvert.h"
-  include "logic.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F	(revision 2641)
@@ -18,13 +18,14 @@
       use fxhyp_m, only: fxhyp
       use fyhyp_m, only: fyhyp
+      USE comconst_mod, ONLY: pi, g, omeg, rad
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     &		alphax,alphay,taux,tauy,transx,transy,pxo,pyo
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
-#include "serre.h"
-#include "logic.h"
-#include "comdissnew.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "comdissnew.h"
 
 c-----------------------------------------------------------------------
Index: LMDZ5/branches/testing/libf/dyn3d_common/initdynav.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/initdynav.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/initdynav.F90	(revision 2641)
@@ -9,4 +9,8 @@
   use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid, &
        dynhistave_file,dynhistvave_file,dynhistuave_file
+  USE comconst_mod, ONLY: pi
+  USE comvert_mod, ONLY: presnivs
+  USE temps_mod, ONLY: itau_dyn
+  
   implicit none
 
@@ -34,12 +38,6 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/initfluxsto.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/initfluxsto.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/initfluxsto.F	(revision 2641)
@@ -9,4 +9,8 @@
        USE IOIPSL
 #endif
+      USE comconst_mod, ONLY: pi
+      USE comvert_mod, ONLY: nivsigs
+      USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
+      
       implicit none
 
@@ -38,15 +42,9 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
 
 C   Arguments
@@ -86,6 +84,6 @@
       CALL ymds2ju(zan, 1, idayref, 0.0, zjulian)
       tau0 = itau_dyn
-	
-	do jj = 1, jjp1
+        
+        do jj = 1, jjp1
         do ii = 1, iip1
           rlong(ii,jj) = rlonu(ii) * 180. / pi
@@ -113,6 +111,6 @@
      .             1, iip1, 1, jjm,
      .             tau0, zjulian, tstep, vhoriid, filevid)
-	
-	rl(1,1) = 1.	
+        
+        rl(1,1) = 1.
       call histbeg('defstoke.nc', 1, rl, 1, rl,
      .             1, 1, 1, 1,
@@ -131,5 +129,5 @@
       call histhori(fileid, iip1, rlong, jjp1, rlat, 'scalar',
      .              'Grille points scalaires', thoriid)
-	
+        
 C
 C  Appel a histvert pour la grille verticale
@@ -150,6 +148,6 @@
 C
 C  Appels a histdef pour la definition des variables a sauvegarder
-	
-	CALL histdef(fileid, "phis", "Surface geop. height", "-",
+        
+        CALL histdef(fileid, "phis", "Surface geop. height", "-",
      .                iip1,jjp1,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -158,6 +156,6 @@
      .                iip1,jjp1,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
-	
-	CALL histdef(filedid, "dtvr", "tps dyn", "s",
+        
+        CALL histdef(filedid, "dtvr", "tps dyn", "s",
      .                1,1,dhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -223,5 +221,5 @@
         call histsync(filedid)
       endif
-	
+        
 #else
 ! tell the user this routine should be run with ioipsl
